--- ./src/build.c.orig	2010-06-19 20:18:49.000000000 +0300
+++ ./src/build.c	2010-06-22 20:04:25.000000000 +0300
@@ -1733,13 +1733,14 @@
 } RowWidgets;
 
 
-static void set_row_color(RowWidgets *r, GdkColor *color )
+static void set_row_color(RowWidgets *r, gboolean active)
 {
 	enum GeanyBuildCmdEntries i;
 
 	for (i = 0; i < GEANY_BC_CMDENTRIES_COUNT; i++)
-		gtk_widget_modify_text(r->entries[i], GTK_STATE_NORMAL, color);
-};
+		gtk_widget_modify_text(r->entries[i], GTK_STATE_NORMAL,
+			active ? NULL : &gtk_widget_get_style(r->entries[i])->text[GTK_STATE_INSENSITIVE]);
+}
 
 
 static void set_build_command_entry_text(GtkWidget *wid, const gchar *text)
@@ -1756,7 +1757,6 @@
 	RowWidgets *r = (RowWidgets*)user_data;
 	gint src;
 	enum GeanyBuildCmdEntries i;
-	GdkColor color;
 	GeanyBuildCommand *bc = get_next_build_cmd(NULL, r->grp, r->cmd, r->dst, &src);
 
 	if (bc != NULL)
@@ -1778,8 +1778,7 @@
 		}
 	}
 	r->used_dst = FALSE;
-	gdk_color_parse("grey", &color);
-	set_row_color(r, &color);
+	set_row_color(r, FALSE);
 	r->cleared = TRUE;
 }
 
@@ -1799,7 +1798,7 @@
 	gtk_button_set_label(GTK_BUTTON(wid), str);
 	g_free(str);
 	r->used_dst = TRUE;
-	set_row_color(r, NULL);
+	set_row_color(r, TRUE);
 }
 
 
@@ -1808,7 +1807,7 @@
 	RowWidgets *r = (RowWidgets*)user_data;
 
 	r->used_dst = TRUE;
-	set_row_color(r, NULL);
+	set_row_color(r, TRUE);
 }
 
 
@@ -1896,7 +1895,7 @@
 	}
 	gdk_color_parse("grey", &color);
 	if (bc != NULL && ((gint)dst > src))
-		set_row_color(roww, &color);
+		set_row_color(roww, FALSE);
 	if (bc != NULL && (src > (gint)dst || (grp == GEANY_GBG_FT && (doc == NULL || doc->file_type == NULL))))
 	{
 		for (i = 0; i < GEANY_BC_CMDENTRIES_COUNT; i++)
